//*******************************************************************
//****** rubble SHIT ***************************************
//*******************************************************************

textures/rubble/burn_flr_m01a
{
	qer_editorimage textures/rubble/burn_flr_m01a.tga
	surfaceparm pointlight
	surfaceparm woodsteps
	{
		map textures/props/ember1a.tga
		rgbGen wave sin 1 0.5 0 0.5
		tcmod rotate 3
	}
	{
		map textures/rubble/burn_flr_m01a.tga
		blendfunc blend
		rgbGen vertex
	}
}



//*******************************************************************
//****** levelshots ***************************************
//*******************************************************************

levelshots/BIOHAZARD_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/BIOHAZARD_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/BIOHAZARD_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/BIOHAZARD_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

//*******************************************************************
//****** skybox TEXTURES ***************************************
//*******************************************************************
/////////////////////////////////////////////////////////////////////
//  - BY AVOC @ eft-clan.com
// If you wish to use this sky, please leave this part in the shader
// or give proper credit in the readme
/////////////////////////////////////////////////////////////////////

textures/BIOHAZARD_skybox/darkness_sky
{
	qer_editorimage textures/BIOHAZARD_skybox/editor.tga
	
	skyParms textures/BIOHAZARD_skybox/darkness_sky 2048 -

	q3map_sunExt 0.68 0.68 0.90 50 250 50	// R G B Intensity Angle Pitch



q3map_skylight 40 0                    //amount iterations
	q3map_noFog
	
surfaceparm sky               //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps


	{
		map textures/BIOHAZARD_skybox/clouds.tga
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}

textures/BIOHAZARD_skybox2/grimmnight
{ 
qer_editorimage textures/BIOHAZARD_skybox2/editor2.tga
	surfaceparm noimpact 
	surfaceparm nolightmap 
     surfaceparm nomarks
	q3map_sunExt 0.68 0.68 0.90 20 320 50
	skyParms textures/BIOHAZARD_skybox2/grimmnight - -
		{
		map textures/BIOHAZARD_skybox2/clouds.tga
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}







//*******************************************************************
//****** luludia***************************************
//*******************************************************************


textures/BIOHAZARD_luludia/groundplant
{
surfaceparm trans
cull none	
q3map_nonplanar
q3map_shadeangle 179	
qer_alphafunc gequal 0.5
{
map textures/BIOHAZARD_luludia/groundplant.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


textures/BIOHAZARD_luludia/water_lily
{
	qer_editorimage textures/BIOHAZARD_luludia/water_lily.tga
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		map textures/BIOHAZARD_luludia/water_lily.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}


textures/BIOHAZARD_luludia/ivy
{
	qer_editorimage textures/BIOHAZARD_luludia/ivy.tga
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		map textures/BIOHAZARD_luludia/ivy.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/BIOHAZARD_luludia/hedge_alpha
{
	qer_alphaFunc greater 0.5
	q3map_nonplanar
	q3map_shadeangle 90
	cull disable
	nomipmaps
	nopicmip
	//surfaceparm clip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm trans
	implicitMask -
}





//*******************************************************************
//****** light ***************************************
//*******************************************************************


/////  candle maxx modified by rich jan27/00 /////////
textures/BIOHAZARD_lights/c_flame_10
{
	//----(mx) added "candle"
	//deformVertexes wave 194 sin 0 2 0 .5
	//deformVertexes wave 30 sin 0 1 0 .9
	//deformVertexes wave 194 sin 0 1 0 .6
	//----(mx) end

	deformVertexes autoSprite2
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
          
	q3map_lightimage textures/lightimage/flame1_scale.tga
	q3map_surfacelight 10
	qer_editorimage textures/BIOHAZARD_lights/c_flame1.tga
	{
		animMap 6 textures/BIOHAZARD_lights/c_flame1.tga textures/BIOHAZARD_lights/c_flame2.tga textures/BIOHAZARD_lights/c_flame3.tga textures/BIOHAZARD_lights/c_flame4.tga textures/BIOHAZARD_lights/c_flame5.tga textures/BIOHAZARD_lights/c_flame6.tga 


		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 6
	}	
	{
		animMap 6 textures/BIOHAZARD_lights/c_flame6.tga textures/BIOHAZARD_lights/c_flame1.tga textures/BIOHAZARD_lights/c_flame2.tga textures/BIOHAZARD_lights/c_flame3.tga textures/BIOHAZARD_lights/c_flame4.tga textures/BIOHAZARD_lights/c_flame5.tga 
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 6
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
//		rgbGen identity	
	}
}


textures/BIOHAZARD_lights/lamp_10k
{
	qer_editorimage textures/BIOHAZARD_lights/lamp.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
	 map textures/BIOHAZARD_lights/lamp.tga
	 blendfunc GL_ONE GL_ONE
	}
}



textures/BIOHAZARD_lights/lamp_30k
{
	qer_editorimage textures/BIOHAZARD_lights/lamp.tga
	q3map_surfacelight 30000
	surfaceparm nomarks
	{
	 map textures/BIOHAZARD_lights/lamp.tga
	 blendfunc GL_ONE GL_ONE
	}
}


textures/BIOHAZARD_lights/beam_green_dust
	{
      qer_editorimage textures/BIOHAZARD_lights/beam_green_dust.tga
	q3map_globaltexture
	surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
      qer_trans 0.6
	cull none
	surfaceparm nomipmaps
      //nopicmip
	{
		map textures/BIOHAZARD_lights/beam_green_dust.tga
		//tcMod scale 0.35 0.35
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
            blendFunc add
      }

}

textures/BIOHAZARD_lights/geolight4_green_2k
{	
	qer_editorimage textures/BIOHAZARD_lights/geolight4_green.tga
	q3map_lightimage textures/BIOHAZARD_lights/geolight2_glow_green.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_lights/geolight4_green.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
    {
		map textures/BIOHAZARD_lights/geolight2_glow_green.tga
		blendfunc add
		rgbgen wave sin .575 .025 0 10
	}
}



textures/BIOHAZARD_lights/beam_blue_dust
	{
      qer_editorimage textures/BIOHAZARD_lights/beam_blue_dust.tga
	q3map_globaltexture
	surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
      qer_trans 0.6
	cull none
	surfaceparm nomipmaps
      //nopicmip
	{
		map textures/BIOHAZARD_lights/beam_blue_dust.tga
		//tcMod scale 0.35 0.35
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
            blendFunc add
      }

}


textures/BIOHAZARD_lights/beam_white_dust
	{
      qer_editorimage textures/BIOHAZARD_lights/beam_white_dust.tga
	q3map_globaltexture
	surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
      qer_trans 0.6
	cull none
	surfaceparm nomipmaps
      //nopicmip
	{
		map textures/BIOHAZARD_lights/beam_white_dust.tga
		//tcMod scale 0.35 0.35
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
            blendFunc add
      }

}



textures/BIOHAZARD_lights/geolight4_blue_2k
{	
qer_editorimage textures/BIOHAZARD_lights/geolight4_blue.tga
q3map_lightimage textures/BIOHAZARD_lights/geolight2_glow_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_lights/geolight4_blue.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
    {
		map textures/BIOHAZARD_lights/geolight2_glow_blue.tga
		blendfunc add
		rgbgen wave sin .575 .025 0 10
	}
}



textures/BIOHAZARD_lights/wide
{
	qer_editorimage textures/BIOHAZARD_lights/wide.tga

        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/BIOHAZARD_lights/wide.tga
                blendFunc add
        }

     
}

// ======================================================================
// server
// ======================================================================




textures/BIOHAZARD_server/console_large_01_21
{
	qer_editorimage textures/BIOHAZARD_server/console_large_01_21.tga
	q3map_lightimage textures/xBIOHAZARD_server_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_server/console_large_01_21.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}

textures/BIOHAZARD_server/console_large_01_22
{
	qer_editorimage textures/BIOHAZARD_server/console_large_01_22.tga
	q3map_lightimage textures/xBIOHAZARD_server_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_server/console_large_01_22.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}

textures/BIOHAZARD_server/console_large_01_23
{
	qer_editorimage textures/BIOHAZARD_server/console_large_01_23.tga
	q3map_lightimage textures/xBIOHAZARD_server_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_server/console_large_01_23.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}

textures/BIOHAZARD_server/terminal_left_screen1
{
	qer_editorimage textures/BIOHAZARD_server/terminal_left_screen1.tga
	q3map_lightimage textures/xBIOHAZARD_server_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_server/terminal_left_screen1.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}

textures/BIOHAZARD_server/terminal_middle_screen2
{
	qer_editorimage textures/BIOHAZARD_server/terminal_middle_screen2.tga
	q3map_lightimage textures/xBIOHAZARD_server_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_server/terminal_middle_screen2.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}

textures/BIOHAZARD_server/terminal_middle_screen3
{
	qer_editorimage textures/BIOHAZARD_server/terminal_middle_screen3.tga
	q3map_lightimage textures/xBIOHAZARD_server_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_server/terminal_middle_screen3.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}



textures/BIOHAZARD_server/qe_tv_plasma_screen4
{
    	qer_editorimage textures/BIOHAZARD_server/qe_tv_plasma_screen4.tga
	cull disable
	surfaceparm nomarks
    	q3map_surfacelight 75
    	{
		animMap .15 textures/BIOHAZARD_server/qe_tv_plasma_screen4.tga textures/BIOHAZARD_server/qe_tv_plasma_screen5.tga textures/BIOHAZARD_server/qe_tv_plasma_screen6.tga  textures/BIOHAZARD_server/qe_tv_plasma_screen7.tga textures/BIOHAZARD_server/qe_tv_plasma_screen8.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        	rgbGen identity
	
	}	
}



// ======================================================================
// decals
// ======================================================================

textures/BIOHAZARD_decals/smear01
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/smear01.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/BIOHAZARD_decals/splat06
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/splat06.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/BIOHAZARD_decals/bloodstain_1
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/bloodstain_1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/BIOHAZARD_decals/bloodstain_hand
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/bloodstain_hand.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/BIOHAZARD_decals/tab_decal_blood_a
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_blood_a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tab_decal_blood_b
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_blood_b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tab_decal_blood_c
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_blood_c.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tab_decal_blood_e
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_blood_e.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tab_decal_cracks_a
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_cracks_a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tab_decal_cracks_b
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_cracks_b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tab_decal_leak_b
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_leak_b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tab_decal_stain_d
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_stain_d.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tab_decal_stain_e
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_stain_e.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tp_stain_002
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tp_stain_002.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tp_stain_004
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tp_stain_004.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}
textures/BIOHAZARD_decals/tp_stain_007
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tp_stain_007.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}

textures/BIOHAZARD_decals/tab_decal_leak_a
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset
   cull none
   qer_trans 0.5 
   sort 6 
   { 
      map textures/BIOHAZARD_decals/tab_decal_leak_a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
   } 
}


// ======================================================================
// misc
// ======================================================================
textures/BIOHAZARD_misc/mccmed5_line3
{
	qer_editorimage textures/BIOHAZARD_misc/mccmed5_line3.tga
	q3map_lightimage textures/xlab_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_misc/mccmed5_line3.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}

textures/BIOHAZARD_misc/mccmed5_line2
{
	qer_editorimage textures/BIOHAZARD_misc/mccmed5_line2.tga
	q3map_lightimage textures/xlab_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_misc/mccmed5_line2.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}

textures/BIOHAZARD_misc/mccmed5_line1
{
	qer_editorimage textures/BIOHAZARD_misc/mccmed5_line1.tga
	q3map_lightimage textures/xlab_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_misc/mccmed5_line1.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}

textures/BIOHAZARD_misc/mccmed1_gel
{
	qer_editorimage textures/BIOHAZARD_misc/mccmed1_gel.tga
	q3map_lightimage textures/xlab_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps
			
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_misc/mccmed1_gel.tga
		tcMod scroll 0 0.2
		rgbGen const ( 0.9 0.9 0.9 )
	}
}

textures/BIOHAZARD_misc/mccmed6_torso
{
	qer_editorimage textures/BIOHAZARD_misc/mccmed6_torso.tga
	q3map_lightimage textures/xlab_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_misc/mccmed6_torso.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen wave sin 1 .1 0 7
	}
}



// camera mirror_portal

textures/BIOHAZARD_misc/mirror_portal
{
	qer_editorimage textures/BIOHAZARD_misc/mirror_portal.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/BIOHAZARD_misc/mirror_portal.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 1024
	}
}



textures/BIOHAZARD_misc/number_panel
{
	qer_editorimage textures/BIOHAZARD_misc/number_panel.tga
	q3map_lightRGB	0.25 1 0
        q3map_surfacelight 200


	{
		map textures/BIOHAZARD_misc/number_panel.tga
	        rgbGen identity
	}
	{
		map textures/BIOHAZARD_banner/noise_green.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}
}



textures/BIOHAZARD_pipes/pipecap1
{		
	surfaceparm alphashadow
	cull none
	{
		map textures/BIOHAZARD_pipes/pipecap1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}



textures/BIOHAZARD_misc/generator1
{
	qer_editorimage textures/BIOHAZARD_misc/generator1.tga
	q3map_lightimage textures/BIOHAZARD_misc/generator1.tga
        q3map_surfacelight 200


	{
		animMap 0.3 textures/BIOHAZARD_misc/generator1.tga textures/BIOHAZARD_misc/generator11.tga
	        rgbGen identity
	}
	{
		map textures/BIOHAZARD_banner/noise_green.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}
	{
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/BIOHAZARD_misc/generator2
{
	qer_editorimage textures/BIOHAZARD_misc/generator2.tga
	q3map_lightimage textures/BIOHAZARD_misc/generator2.tga
        q3map_surfacelight 200


	{
		animMap 0.3 textures/BIOHAZARD_misc/generator2.tga textures/BIOHAZARD_misc/generator22.tga
	        rgbGen identity
	}
	{
		map textures/BIOHAZARD_banner/noise_green.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}
	{
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}


textures/BIOHAZARD_misc/screen06
{
	qer_editorimage textures/BIOHAZARD_misc/screen06.tga
	qer_trans 0.40
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	polygonOffset
	nopicmip
	cull none
	{
		map textures/BIOHAZARD_misc/screen06.tga
		blendfunc add
		rgbgen wave noise -9 20 0 4 
		alphaGen wave sin 0.5 0.3 0.25 1.5
		tcMod Scroll .0 12
	}
}


textures/BIOHAZARD_misc/bulet_hole
{
	surfaceparm alphashadow
	surfaceparm trans
     surfaceparm playerclip
     surfaceparm nomarks
	cull disable
	nomipmaps
	{
		map textures/BIOHAZARD_misc/bulet_hole.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


textures/BIOHAZARD_misc/mon_fire
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_1
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 35 sawtooth 0 1 0 0.784
	deformvertexes move -0.755352 1.22297 0 inversesawtooth -0.695684 1 0 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1 0.784
		alphagen wave sawtooth 0 6 0 0.784
		tcMod rotate -33
		tcMod stretch sawtooth 1 -0.7 0 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_1
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 30 sawtooth 0 1 0.101516 0.784
	deformvertexes move -1.99659 -5.55274 0 inversesawtooth -0.169469 1 0.101516 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.10152 0.784
		alphagen wave sawtooth 0 6 0.101516 0.784
		tcMod rotate -14
		tcMod stretch sawtooth 1 -0.7 0.101516 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_2
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_3
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 43 sawtooth 0 1 0.172346 0.784
	deformvertexes move 1.16215 -0.732783 0 inversesawtooth -0.72786 1 0.172346 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.17235 0.784
		alphagen wave sawtooth 0 6 0.172346 0.784
		tcMod rotate 76
		tcMod stretch sawtooth 1 -0.7 0.172346 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_3
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_4
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 26 sawtooth 0 1 0.234889 0.784
	deformvertexes move 0.143494 6.19449 0 inversesawtooth -0.16139 1 0.234889 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.23489 0.784
		alphagen wave sawtooth 0 6 0.234889 0.784
		tcMod rotate 50
		tcMod stretch sawtooth 1 -0.7 0.234889 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_4
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 26 sawtooth 0 1 0.292595 0.784
	deformvertexes move 5.98283 1.61183 0 inversesawtooth -0.16139 1 0.292595 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.29259 0.784
		alphagen wave sawtooth 0 6 0.292595 0.784
		tcMod rotate -5
		tcMod stretch sawtooth 1 -0.7 0.292595 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_5
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_6
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 0.34695 0.784
	deformvertexes move 0.859558 0.511038 0 inversesawtooth 1 0 0.34695 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.34695 0.784
		alphagen wave sawtooth 0 6 0.34695 0.784
		tcMod rotate 66
		tcMod stretch sawtooth 1 -0.7 0.34695 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_6
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_7
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 37 sawtooth 0 1 0.398777 0.784
	deformvertexes move -2.67904 -4.47529 0 inversesawtooth -0.191722 1 0.398777 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.39878 0.784
		alphagen wave sawtooth 0 6 0.398777 0.784
		tcMod rotate -86
		tcMod stretch sawtooth 1 -0.7 0.398777 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_7
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_8
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 46 sawtooth 0 1 0.448591 0.784
	deformvertexes move 0 -0 0 inversesawtooth 1 0 0.448591 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.44859 0.784
		alphagen wave sawtooth 0 6 0.448591 0.784
		tcMod rotate 40
		tcMod stretch sawtooth 1 -0.7 0.448591 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_8
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_9
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 23 sawtooth 0 1 0.496744 0.784
	deformvertexes move -4.94232 -5.48227 0 inversesawtooth -0.13548 1 0.496744 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.49674 0.784
		alphagen wave sawtooth 0 6 0.496744 0.784
		tcMod rotate 7
		tcMod stretch sawtooth 1 -0.7 0.496744 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_9
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_10
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 49 sawtooth 0 1 0.543492 0.784
	deformvertexes move -1.79422 0.902671 0 inversesawtooth -0.497887 1 0.543492 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.54349 0.784
		alphagen wave sawtooth 0 6 0.543492 0.784
		tcMod rotate 61
		tcMod stretch sawtooth 1 -0.7 0.543492 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_10
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_11
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 34 sawtooth 0 1 0.589025 0.784
	deformvertexes move 2.95209 4.68766 0 inversesawtooth -0.180513 1 0.589025 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.58902 0.784
		alphagen wave sawtooth 0 6 0.589025 0.784
		tcMod rotate 74
		tcMod stretch sawtooth 1 -0.7 0.589025 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_11
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_12
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 36 sawtooth 0 1 0.633492 0.784
	deformvertexes move -1.00805 -3.17335 0 inversesawtooth 0 1 0.633492 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.63349 0.784
		alphagen wave sawtooth 0 6 0.633492 0.784
		tcMod rotate 61
		tcMod stretch sawtooth 1 -0.7 0.633492 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_12
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_13
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 25 sawtooth 0 1 0.677012 0.784
	deformvertexes move 7.14711 5.88953 0 inversesawtooth 0 1 0.677012 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.67701 0.784
		alphagen wave sawtooth 0 6 0.677012 0.784
		tcMod rotate 36
		tcMod stretch sawtooth 1 -0.7 0.677012 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_13
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_14
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 51 sawtooth 0 1 0.719682 0.784
	deformvertexes move -2.10451 -0.533267 0 inversesawtooth 0 1 0.719682 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.71968 0.784
		alphagen wave sawtooth 0 6 0.719682 0.784
		tcMod rotate 82
		tcMod stretch sawtooth 1 -0.7 0.719682 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_14
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_15
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 29 sawtooth 0 1 0.761582 0.784
	deformvertexes move -6.53379 -4.58198 0 inversesawtooth -0.125309 1 0.761582 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.76158 0.784
		alphagen wave sawtooth 0 6 0.761582 0.784
		tcMod rotate -4
		tcMod stretch sawtooth 1 -0.7 0.761582 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_15
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_16
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 29 sawtooth 0 1 0.80278 0.784
	deformvertexes move 7.94022 0.798698 0 inversesawtooth 0 1 0.80278 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.80278 0.784
		alphagen wave sawtooth 0 6 0.80278 0.784
		tcMod rotate 60
		tcMod stretch sawtooth 1 -0.7 0.80278 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_16
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_17
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 21 sawtooth 0 1 0.843334 0.784
	deformvertexes move -4.8337 8.16552 0 inversesawtooth 0 1 0.843334 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.84333 0.784
		alphagen wave sawtooth 0 6 0.843334 0.784
		tcMod rotate 4
		tcMod stretch sawtooth 1 -0.7 0.843334 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_17
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_18
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 39 sawtooth 0 1 0.883292 0.784
	deformvertexes move -5.90123 -5.35486 0 inversesawtooth 0 1 0.883292 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.88329 0.784
		alphagen wave sawtooth 0 6 0.883292 0.784
		tcMod rotate 12
		tcMod stretch sawtooth 1 -0.7 0.883292 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_18
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	q3map_cloneshader textures/BIOHAZARD_misc/zzmon_fire_19
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 35 sawtooth 0 1 0.922698 0.784
	deformvertexes move 3.42269 -0.317997 0 inversesawtooth 0 1 0.922698 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.9227 0.784
		alphagen wave sawtooth 0 6 0.922698 0.784
		tcMod rotate 47
		tcMod stretch sawtooth 1 -0.7 0.922698 0.784
	}
}

textures/BIOHAZARD_misc/zzmon_fire_19
{
	qer_editorimage textures/BIOHAZARD_misc/fire.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 49 sawtooth 0 1 0.96159 0.784
	deformvertexes move 1.18481 1.6218 0 inversesawtooth -0.497887 1 0.96159 0.784
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/BIOHAZARD_misc/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1.96159 0.784
		alphagen wave sawtooth 0 6 0.96159 0.784
		tcMod rotate 7
		tcMod stretch sawtooth 1 -0.7 0.96159 0.784
	}
}


textures/BIOHAZARD_misc/Fence
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}






textures/BIOHAZARD_misc/fan01_alpha
// fan shadow
{
	qer_editorimage textures/BIOHAZARD_misc/fan01_alpha.tga
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip

	{
		clampmap textures/BIOHAZARD_misc/fan01_alpha.tga
		tcMod rotate 200
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
                depthWrite
		//rgbGen identity
	}
}



textures/BIOHAZARD_misc/fan4
{
	qer_editorimage textures/BIOHAZARD_misc/fan_grate.tga

	{
		map textures/BIOHAZARD_misc/fan01.tga
		tcmod rotate 200
	}
	{
		map textures/BIOHAZARD_misc/fan_grate.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/BIOHAZARD_misc/icicles
{		
	surfaceparm alphashadow
	cull none
	{
		map textures/BIOHAZARD_misc/icicles.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/BIOHAZARD_misc/level1
{
	qer_editorimage textures/BIOHAZARD_misc/level1.tga
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		map textures/BIOHAZARD_misc/level1.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}


textures/BIOHAZARD_misc/level2
{
	qer_editorimage textures/BIOHAZARD_misc/level2.tga
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		map textures/BIOHAZARD_misc/level2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/BIOHAZARD_misc/level3
{
	qer_editorimage textures/BIOHAZARD_misc/level3.tga
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		map textures/BIOHAZARD_misc/level3.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}


textures/BIOHAZARD_misc/level4
{
	qer_editorimage textures/BIOHAZARD_misc/level4.tga
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		map textures/BIOHAZARD_misc/level4.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}


textures/BIOHAZARD_misc/dust_1
{
	qer_editorimage textures/BIOHAZARD_misc/dust.tga
	qer_trans 0.50
    cull disable
    surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
    
	{
		map textures/BIOHAZARD_misc/dust.tga
		tcmod scroll 0 -0.015
		blendFunc blend
		rgbGen wave sin 1 .05 0 .4
	}
	{
		map textures/BIOHAZARD_misc/dust.tga
        tcmod scroll 0.015 0.02
		blendFunc blend
		rgbGen wave sin 0.3 .04 0 .5
	}
}


textures/BIOHAZARD_misc/barbed_wire
{
	surfaceparm alphashadow
	surfaceparm trans
surfaceparm playerclip
     surfaceparm nomarks
	cull disable
	nomipmaps
	{
		map textures/BIOHAZARD_misc/barbed_wire.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/BIOHAZARD_misc/scan
{
	qer_editorimage textures/BIOHAZARD_misc/scan.tga
	q3map_lightimage textures/xlab_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_misc/scan.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen wave sin 1 .1 0 7
	}
}

textures/BIOHAZARD_misc/scan1
{
	qer_editorimage textures/BIOHAZARD_misc/scan1.tga
	q3map_lightimage textures/xlab_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_misc/scan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen wave sin 1 .1 0 7
	}
}




textures/BIOHAZARD_misc/scan2
{
	qer_editorimage textures/BIOHAZARD_misc/scan2.tga
	q3map_lightimage textures/xlab_props/softblue.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip
	nomipmaps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/BIOHAZARD_misc/scan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen wave sin 1 .1 0 7
	}
}

// ======================================================================
// slide pix
// ======================================================================

textures/BIOHAZARD_pics/bob
{
    	qer_editorimage textures/BIOHAZARD_pics/n1.tga
	cull disable
	surfaceparm nomarks
    	q3map_surfacelight 75
    	{
		animMap .70 textures/BIOHAZARD_pics/n1.tga textures/BIOHAZARD_pics/n2.tga textures/BIOHAZARD_pics/n3.tga textures/BIOHAZARD_pics/n4.tga textures/BIOHAZARD_pics/n5.tga textures/BIOHAZARD_pics/n6.tga textures/BIOHAZARD_pics/n7.tga textures/BIOHAZARD_pics/n8.tga


		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        	rgbGen identity
	
	}	
}




textures/BIOHAZARD_pics/slide01_converted
{
    	qer_editorimage textures/BIOHAZARD_pics/slide01_converted.tga
	cull disable
	surfaceparm nomarks
    	q3map_surfacelight 75
    	{
		animMap .15 textures/BIOHAZARD_pics/slide01_converted.tga textures/BIOHAZARD_pics/slide03_converted.tga textures/BIOHAZARD_pics/slide04_converted.tga  textures/BIOHAZARD_pics/slide02_converted.tga textures/BIOHAZARD_pics/slide05_converted.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        	rgbGen identity
	
	}	
}






//*******************************************************************
//****** glass TEXTURES ***************************************
//*******************************************************************


textures/BIOHAZARD_glass/towerglass_d
{
	qer_editorimage textures/BIOHAZARD_glass/towerglass_d.tga
	q3map_tesssize 48
	qer_trans	0.5
	surfaceparm trans
	q3map_nolightmap
    {
        map textures/BIOHAZARD_glass/towerglass_d.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/BIOHAZARD_glass/towerglass_d.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}


/// *******************************
// *******chat************
// ******************************* 

textures/BIOHAZARD_chat/carpet_c033
{
	surfaceparm carpetsteps
	implicitMap -
}


textures/BIOHAZARD_chat/carpet_c100trim
{
	surfaceparm carpetsteps
	implicitMap -
}

textures/BIOHAZARD_chat/carpet_c111
{
	surfaceparm carpetsteps
	implicitMap -
}




/// *******************************
// *******water************
// ******************************* 
         
textures/BIOHAZARD_liquids/fluid_green_bubble1

		{
		qer_editorimage textures/BIOHAZARD_liquids/fluid_green_bubble1.tga
		qer_trans .95
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water	
		nofog
		cull disable
		
		{ 
		
			map textures/BIOHAZARD_liquids/fluid_green_bubble1.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scroll .1 .5

		}
}



textures/BIOHAZARD_liquids/fluid_bubble1

		{
		qer_editorimage textures/BIOHAZARD_liquids/fluid_bubble1.tga
		qer_trans .95
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water	
		nofog
		cull disable
		
		{ 
		
			map textures/BIOHAZARD_liquids/fluid_bubble1.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scroll .1 .5	
		}
	}




textures/BIOHAZARD_liquids/water_02
	{
	qer_editorimage textures/BIOHAZARD_liquids/water_02a.tga
		qer_trans .8
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	

		{ 
			map textures/BIOHAZARD_liquids/water_02a.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scroll 1.5 0
			alphaGen vertex
		}
	
		{ 
			map textures/BIOHAZARD_liquids/water_02b.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scroll 1 0
			alphaGen vertex
		}
		
		{ 
			map textures/BIOHAZARD_liquids/water_02a.tga
			blendFunc add
			alphagen wave sin 0.25 0.5 0 1
			rgbgen identity
			tcmod scroll 1.5 0
			alphaGen vertex
		}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}



textures/BIOHAZARD_liquids/water_03
	{
	qer_editorimage textures/BIOHAZARD_liquids/water_03.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_lightsubdivide 256
		//fogparms 0.176 0.247 0.18 1024

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/BIOHAZARD_liquids/water_03.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.08 .030
		}
		
		{ 
			map textures/BIOHAZARD_liquids/water_03.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.08 .030
		}
		
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}

textures/BIOHAZARD_liquids/water_04
	{
	qer_editorimage textures/BIOHAZARD_liquids/water_03.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_lightsubdivide 256
		//fogparms 0.176 0.247 0.18 1024

		cull disable
	
	
		
		{ 
			map textures/BIOHAZARD_liquids/water_03.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod transform 1.1 0 1.1 1 1 2
			tcmod scroll -.05 .001
		}
		
		{ 
			map textures/BIOHAZARD_liquids/water_03.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod transform 1.1 0 1.1 1 1 2
			tcmod scroll -.05 .001
		}
		
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}



textures/BIOHAZARD_liquids/water04
{
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/BIOHAZARD_liquids/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -2
		alphaGen Vertex
	}
}


/// *******************************
// *******CAUSTICS FOR THE WATER************
// ******************************* 



textures/BIOHAZARD_pipes/pipe_blue_clean2_caustic_water
{
	qer_editorimage textures/BIOHAZARD_pipes/pipe_blue_clean2.tga
	{
		map textures/BIOHAZARD_liquids/water1.tga
		tcmod scale -.25 -.25
		tcmod scroll .1 .04
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/BIOHAZARD_liquids/water1.tga
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .1 .1
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/BIOHAZARD_pipes/pipe_blue_clean2.tga
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}

textures/BIOHAZARD_concrete/concrete08_caustic_water
{
	qer_editorimage textures/BIOHAZARD_concrete/concrete08.tga
	{
		map textures/BIOHAZARD_liquids/water1.tga
		tcmod scale -.25 -.25
		tcmod scroll .1 .04
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/BIOHAZARD_liquids/water1.tga
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .1 .1
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/BIOHAZARD_concrete/concrete08.tga
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}

textures/BIOHAZARD_concrete/xwall_c0_caustic_water
{
	qer_editorimage textures/BIOHAZARD_concrete/xwall_c0.tga
	{
		map textures/BIOHAZARD_liquids/water1.tga
		tcmod scale -.25 -.25
		tcmod scroll .1 .04
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/BIOHAZARD_liquids/water1.tga
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .1 .1
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/BIOHAZARD_concrete/xwall_c0.tga
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}





//*******************************************************************
//****** Banner  ***************************************
//*******************************************************************
textures/BIOHAZARD_banner/tvscreen1
{
	qer_editorimage textures/BIOHAZARD_banner/tvscreen1.tga
	q3map_lightimage textures/BIOHAZARD_banner/tvscreen1.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/BIOHAZARD_banner/tvscreen1.tga textures/BIOHAZARD_banner/tvscreen2.tga 

		rgbGen wave sawtooth 0 1 0 .15
	
	}

	{
		map textures/BIOHAZARD_banner/noise_green.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25 
	}


	{

map textures/BIOHAZARD_banner/elec_line.tga
		blendfunc add
	        	rgbGen identity
		tcmod scroll 3 3
}

	{


		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/BIOHAZARD_banner/banner
{
qer_editorimage textures/BIOHAZARD_banner/banner.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/BIOHAZARD_banner/banner.tga
}

textures/BIOHAZARD_banner/banner1
{
qer_editorimage textures/BIOHAZARD_banner/banner1.tga
surfaceparm nonsolid
surfaceparm alphashadow
cull none

deformVertexes wave 100 sin 0 1 0 .1
deformVertexes wave 30 sin 0 1 0 .1
tessSize 64

implicitMask textures/BIOHAZARD_banner/banner1.tga
}




/// *******************************
// *******spiderweb************
// ******************************* 


textures/BIOHAZARD_arachnes/spiderweb
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_editorimage textures/BIOHAZARD_arachnes/spiderweb.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/BIOHAZARD_arachnes/spiderweb.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}


textures/BIOHAZARD_arachnes/cweb_m02b
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_editorimage textures/BIOHAZARD_arachnes/cweb_m02b.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/BIOHAZARD_arachnes/cweb_m02b.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/BIOHAZARD_arachnes/cweb_m03a
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_editorimage textures/BIOHAZARD_arachnes/cweb_m03a.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/BIOHAZARD_arachnes/cweb_m03a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/BIOHAZARD_arachnes/cweb_m03b
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_editorimage textures/BIOHAZARD_arachnes/cweb_m03b.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/BIOHAZARD_arachnes/cweb_m03b.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}


//*******************************************************************
//****** hd models***************************************
//*******************************************************************



models\mapobjects\hd\potted_plants\plant_large
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models\mapobjects\hd\potted_plants\plant_medium
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models\mapobjects\hd\potted_plants\plant_small
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}



models\hd_plants\fern
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models\hd_plants\fern_green_yelow
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}


models\hd_plants\TropicalPlant
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models\hd_plants\TropicalPlant2
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}


models\hd_plants\spikes
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models\hd_plants\Parviflora
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

//*******************************************************************
//****** terrain ***************************************
//*******************************************************************


textures/BIOHAZARD_terrain/sand_wave_desert
{
surfaceparm gravelsteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 128 128
     q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
     q3map_nonplanar
     q3map_shadeangle 60
	{
		map textures/biohazard_terrain/sand_wave_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}


textures/BIOHAZARD/terrain_0
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )

	{
		map textures/biohazard_terrain/grass_ground.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_1
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/biohazard_terrain/rock_01.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_2
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/biohazard_terrain/grass_on_stones.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_3
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/biohazard_terrain/rock_02.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_4
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/biohazard_terrain/dirt_mixed_textur.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_0to1
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/grass_ground.jpg
	}
	{
		map textures/biohazard_terrain/rock_01.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_0to2
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/grass_ground.jpg
	}
	{
		map textures/biohazard_terrain/grass_on_stones.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_0to3
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/grass_ground.jpg
	}
	{
		map textures/biohazard_terrain/rock_02.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_0to4
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/grass_ground.jpg
	}
	{
		map textures/biohazard_terrain/dirt_mixed_textur.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_1to2
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/rock_01.jpg
	}
	{
		map textures/biohazard_terrain/grass_on_stones.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_1to3
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/rock_01.jpg
	}
	{
		map textures/biohazard_terrain/rock_02.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_1to4
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/rock_01.jpg
	}
	{
		map textures/biohazard_terrain/dirt_mixed_textur.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_2to3
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/grass_on_stones.jpg
	}
	{
		map textures/biohazard_terrain/rock_02.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_2to4
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/grass_on_stones.jpg
	}
	{
		map textures/biohazard_terrain/dirt_mixed_textur.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/terrain_3to4
{
surfaceparm grasssteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/biohazard_terrain/rock_02.jpg
	}
	{
		map textures/biohazard_terrain/dirt_mixed_textur.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/BIOHAZARD/vertex
{
	{
		map textures/biohazard_terrain/grass_ground.jpg
		rgbGen vertex
	}
}

textures/BIOHAZARD_terrain/alpha_000
{
	qer_editorimage textures/BIOHAZARD_terrain/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}



// shader for vertical blending oasis_grass
textures/BIOHAZARD_terrain/oasis_grass
{
	qer_editorimage textures/BIOHAZARD_terrain/oasis_grass.tga
	surfaceparm landmine
	surfaceparm grasssteps
	q3map_nonplanar
	q3map_shadeAngle 60
	
	{
		// Primary
		map textures/BIOHAZARD_terrain/Dirt_mixed_textur.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/BIOHAZARD_terrain/grass_ground.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//*******************************************************************
//****** flower model ***************************************
//*******************************************************************

models/mapobjects/tree3
{
    cull disable
    surfaceparm alphashadow
//	surfaceparm trans
        {
                map models/mapobjects/tree3.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}


//*******************************************************************
//****** clonetube ***************************************
//*******************************************************************

models/mapobjects/clonetube/cl_door1
{      

		q3map_surfacelight 600
    		light 1



	//cull twosided
	//{
	//	map models/mapobjects/clonetube/regenmap3.tga
	//	map models/mapobjects/clonetube/regenmap4.tga
	//	blendfunc gl_one_minus_dst_color gl_zero
	//	blendfunc blend
	//	tcmod scale 2 2
	//	rgbGen identity
	//	tcGen environment 
	//}
	{ 
		map models/mapobjects/clonetube/c_water2.tga
		blendFunc add
		rgbgen vertex
		
		tcmod scroll 0 0.7

	}

        {
		map models/mapobjects/clonetube/c_glass1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map models/mapobjects/clonetube/cl_door1.tga
		blendFunc blend      	
		rgbGen vertex
	}

	



}

models/mapobjects/clonetube/clone1
{      
	cull twosided

       

	{
		map models/mapobjects/clonetube/c_water2.tga
           

	
		rgbGen identity

	}
	{
		map models/mapobjects/clonetube/clone1.tga
		blendFunc blend      	
		rgbGen vertex
	}





}

//*******************************************************************
//****** teleporter swirl  ***************************************
//*******************************************************************



textures/BIOHAZARD_misc/portalfront
{
	qer_editorimage textures/BIOHAZARD_misc/teleporter_grid.tga
	portal
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	{
		map textures/BIOHAZARD_misc/xtele_bckgrd.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		depthWrite
		alphagen portal 512
	}
	{
		clampMap textures/BIOHAZARD_misc/xtele_swirl1_noalpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.8 0.01 0 0.1
		tcMod stretch sin 1.1 0.1 0 0.1
		tcMod rotate 45
		alphagen portal 512
	}
	{
		clampMap textures/BIOHAZARD_misc/xtele_dirtedge.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod stretch sin 1.2 0 0 0
		tcMod transform 0.975 0 0 0.975 0.0125 -0.0125
	}
	{
		clampMap textures/BIOHAZARD_misc/xtele_swirl4.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		rgbGen wave sin 0.75 0.1 0.5 0.1
		tcMod stretch sin 1.6 0.1 0 0.15
		tcMod rotate 25
		alphagen portal 512
	}
	{
		clampMap textures/BIOHAZARD_misc/xtele_cloudedge.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod stretch sin 1.1 0.05 0 0.05
		tcMod transform 0.975 0 0 0.975 0.0125 -0.0125
		tcMod rotate 10
	}
}



textures/BIOHAZARD_misc/portal_light
{
	qer_editorimage textures/BIOHAZARD_misc/xtele_iris.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	qer_trans 0.9
	cull none
	
	{
		map textures/BIOHAZARD_misc/xtele_star1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		rgbgen wave sin 0.5 0.2 0 0.1
		tcMod Scale 0.5 1
		tcMod Scroll -0.3 -0.15
	}
	{
		map textures/BIOHAZARD_misc/xtele_iris.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		rgbGen const ( 0.15 0.15 0.3 )
		tcMod Scale 1 3
		tcMod Scroll -0.25 0.05
		detail
	}
}

//********************
// vegetation MODELS
// ******************


models\mapobjects\dmodels\vegetation\dgrass2
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models\mapobjects\dmodels\vegetation\dbush2
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}


models\mapobjects\dmodels\vegetation\dbush4
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	
	implicitMask -
}

models\mapobjects\dmodels\vegetation\dbush6
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models\mapobjects\dmodels\vegetation\dbush7
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models\mapobjects\dmodels\vegetation\dgrass1
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}


// EFtrees shader
// Kic


models/mapobjects/EFtrees/barks
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}



models/mapobjects/EFtrees/decid_s_01
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/decid_s_01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	
nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/leafs_01
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/leafs_01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks

	nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/leafs_02
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/leafs_02.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/leaves
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/leaves.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/maple_s_01
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/maple_s_01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks

	nopicmip
	implicitMask -
}


// nmtrees shader
// Kic



models/mapobjects/nmtrees/bark01
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}


models/mapobjects/nmtrees/bark02
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}


models/mapobjects/nmtrees/fir1
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models/mapobjects/nmtrees/fir2
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}



